#  --enable-debug          turn on debugging [default=no]
#  --enable-indexeddb      enable the indexed database API [default=no]

#  --enable-input-speech   enable the speech input API [default=no] broken

#  --enable-image-resizer  enable image resizer [default=no]
#  --enable-wml            enable support for WML [default=no]
#  --enable-directory-upload  enable support for directory upload [default=no]
#  --enable-file-system    enable support for HTML5 FileSystem API [default=no]
#  --enable-web-timing     enable support for Web Timing [default=no]
#  --enable-blob           enable support for Blob [default=no]
#  --enable-coverage       enable code coverage support [default=no]
#  --enable-opcode-stats   Enable Opcode statistics (default: disabled)
#  --enable-gtk-doc        use gtk-doc to build documentation [[default=no]]
#  --enable-gtk-doc-pdf    build documentation in pdf format [[default=no]]
#  --with-gtk=2.0|3.0      the GTK+ version to use (default: 2.0)

%define        majver %(echo %version | cut -d. -f 1-2)
%define        apiver 4.0
%define        libname libwebkit2gtk

Name:          webkitgtk
Version:       2.32.0
Release:       1mamba
Summary:       Port of WebKit embeddable web component to GTK+
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.webkitgtk.org/
Source0:       http://www.webkitgtk.org/releases/webkitgtk-%{version}.tar.xz
Patch0:        libwebkit-gtk-1.3.10-nspluginwrapper.patch
Patch1:        webkitgtk-2.16.6-arm-sync_add_and_fetch_8_duplicate.patch
Patch2:        webkitgtk-2.30.2-x86-arm-jit-build-workaround.patch
License:       BSD, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libGL-devel
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libenchant-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libgtk-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libhyphen-devel
BuildRequires: libicu-devel
BuildRequires: libjpeg-devel
BuildRequires: libnotify-devel
BuildRequires: libopenjpeg-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: libseccomp-devel
BuildRequires: libsecret-devel
BuildRequires: libsoup-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
BuildRequires: libsystemd-devel
BuildRequires: libtasn1-devel
BuildRequires: libwayland-devel
BuildRequires: libwayland-egl-devel
BuildRequires: libwebp-devel
BuildRequires: libwoff2-devel
BuildRequires: libwpe-devel
BuildRequires: libwpebackend-fdo-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libmanette-devel
BuildRequires: libnpth-devel
BuildRequires: geoclue-devel
BuildRequires: bison
BuildRequires: flex
BuildRequires: GConf-devel
BuildRequires: gobject-introspection-devel
BuildRequires: gperf
BuildRequires: icu
BuildRequires: libtool
BuildRequires: perl
BuildRequires: bubblewrap
BuildRequires: xdg-dbus-proxy

%description
WebKit/GTK+ is the new GTK+ port of the WebKit, an open-source web content engine that powers numerous applications such as web browsers, email clients, feed readers, web and text editors, and a whole lot more.

%package -n %{libname}
Summary:       Port of WebKit embeddable web component to GTK+
Group:         System/Libraries
Provides:      %{name}-jsc
Obsoletes:     %{name}-jsc < 2.32.0

%description -n %{libname}
WebKit/GTK+ is the new GTK+ port of the WebKit, an open-source web content engine that powers numerous applications such as web browsers, email clients, feed readers, web and text editors, and a whole lot more.

%package -n %{libname}-devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{libname}
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-devel
WebKit/GTK+ is the new GTK+ port of the WebKit, an open-source web content engine that powers numerous applications such as web browsers, email clients, feed readers, web and text editors, and a whole lot more.
This package contains libraries and header files needed for development.

#%package jsc
#Group:         Applications/Networking
#Summary:       JavaScriptCore shell for WebKit GTK+
#Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}
#
#%description jsc
#WebKit/GTK+ is the new GTK+ port of the WebKit, an open-source web content engine that powers numerous applications such as web browsers, email clients, feed readers, web and text editors, and a whole lot more.
#This package contains WebKit's JavaScript engine. It allows you to interact with the JavaScript engine directly.

%package webinspector
Group:         Applications/Networking
Summary:       Data files for WebKit GTK+'s Web Inspector
Obsoletes:     Webkit < 2.32.0

%description webinspector
WebKit/GTK+ is the new GTK+ port of the WebKit, an open-source web content engine that powers numerous applications such as web browsers, email clients, feed readers, web and text editors, and a whole lot more.
This package contains the data files necessary for Web Inspector to work.

%package doc
Group:         Documentation
Summary:       Documentation for %{name}

%description doc
WebKit/GTK+ is the new GTK+ port of the WebKit, an open-source web content engine that powers numerous applications such as web browsers, email clients, feed readers, web and text editors, and a whole lot more.
This package contains the documentation for %{name},

%debug_package

%prep
%setup -q
#-D -T
#:<< _EOF
%ifarch arm %{ix86}
%patch2 -p1
%endif
%ifarch arm
sed -i "s|ARM64|ARMv7|" Source/JavaScriptCore/CMakeLists.txt
sed -i "s|WTF_CPU_ARM64|WTF_CPU_ARM|" CMakeLists.txt
%endif

%build
#:<< _EOF
#%ifnarch x86_64
## To workaround ar 4GB file limit see also:
## https://build.opensuse.org/package/view_file/openSUSE:Factory/webkit2gtk3/webkit2gtk3.spec
#EXTRA_CFLAGS="-g0 -Wl,--no-keep-memory -Wl,--no-map-whole-files"
#EXTRA_CXXFLAGS="-g0 -Wl,--no-keep-memory -Wl,--no-map-whole-files"
#%endif

%cmake -d build \
\
%ifnarch x86_64
   -DCMAKE_C_FLAGS="$EXTRA_CFLAGS" \
   -DCMAKE_CXX_FLAGS="$EXTRA_CXXFLAGS" \
   -DCMAKE_C_FLAGS_RELWITHDEBINFO="-O2 -g1" \
   -DCMAKE_CXX_FLAGS_RELWITHDEBINFO="-O2 -g1" \
%else
   -DCMAKE_C_FLAGS_RELWITHDEBINFO="-O2 -g1" \
   -DCMAKE_CXX_FLAGS_RELWITHDEBINFO="-O2 -g1" \
%endif
   -DPORT=GTK \
   -DCMAKE_INSTALL_LIBEXECDIR=%{_libexecdir} \
   -DCMAKE_INSTALL_FULL_LIBEXECDIR=%{_libexecdir} \
%ifarch arm
   -DENABLE_GTKDOC=OFF \
%else
   -DENABLE_GTKDOC=ON \
%endif
   -DENABLE_MINIBROWSER=ON \
   -DCMAKE_EXE_LINKER_FLAGS="-Wl,--as-needed -Wl,-z,now -pthread" \
   -DCMAKE_MODULE_LINKER_FLAGS="-Wl,--as-needed -Wl,-z,now -pthread" \
   -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed -Wl,-z,now -pthread" \
%ifarch arm
   -DENABLE_SPELLCHECK=0
%endif

#   -DENABLE_JIT=OFF \

# Note: seen on arm ,2.30.4: in case of failure due to missing JavaScriptCore-4.gir:
# make JavaScriptCore-4-gir

%make JavaScriptCore-4-gir all \
%ifarch arm
-j1
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang WebKit2GTK-%{apiver}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n %{libname}
/sbin/ldconfig
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas
:

%postun -n %{libname}
/sbin/ldconfig
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas
:

%files -n %{libname} -f WebKit2GTK-%{apiver}.lang
%defattr(-,root,root)
%{_libdir}/libwebkit2gtk-%{apiver}.so.*
%{_libdir}/libjavascriptcoregtk-%{apiver}.so.*
%{_libdir}/girepository-1.0/JavaScriptCore-%{apiver}.typelib
%{_libdir}/girepository-1.0/WebKit2-%{apiver}.typelib
%{_libdir}/girepository-1.0/WebKit2WebExtension-%{apiver}.typelib
%{_libdir}/webkit2gtk-%{apiver}/injected-bundle/libwebkit2gtkinjectedbundle.so
%{_libexecdir}/webkit2gtk-%{apiver}/MiniBrowser
%{_libexecdir}/webkit2gtk-%{apiver}/jsc
%dir %{_libexecdir}/webkit2gtk-%{apiver}
%{_libexecdir}/webkit2gtk-%{apiver}/WebKit*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_bindir}/WebKitWebDriver
%dir %{_includedir}/webkitgtk-%{apiver}
%{_includedir}/webkitgtk-%{apiver}/*
%{_libdir}/libjavascriptcoregtk-%{apiver}.so
%{_libdir}/libwebkit2gtk-%{apiver}.so
%{_datadir}/gir-1.0/JavaScriptCore-%{apiver}.gir
%{_datadir}/gir-1.0/WebKit2-%{apiver}.gir
%{_datadir}/gir-1.0/WebKit2WebExtension-%{apiver}.gir
%{_libdir}/pkgconfig/webkit2gtk-%{apiver}.pc
%{_libdir}/pkgconfig/javascriptcoregtk-%{apiver}.pc
%{_libdir}/pkgconfig/webkit2gtk-web-extension-%{apiver}.pc

%ifnarch arm
%files doc
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/jsc-glib-%{apiver}
%{_datadir}/gtk-doc/html/jsc-glib-%{apiver}/*
%dir %{_datadir}/gtk-doc/html/webkit2gtk-%{apiver}
%{_datadir}/gtk-doc/html/webkit2gtk-%{apiver}/*
%dir %{_datadir}/gtk-doc/html/webkitdomgtk-%{apiver}
%{_datadir}/gtk-doc/html/webkitdomgtk-%{apiver}/*
%endif

%changelog
* Mon Mar 29 2021 Automatic Build System <autodist@mambasoft.it> 2.32.0-1mamba
- automatic version update by autodist

* Sun Mar 21 2021 Automatic Build System <autodist@mambasoft.it> 2.30.6-1mamba
- automatic version update by autodist

* Wed Feb 24 2021 Automatic Build System <autodist@mambasoft.it> 2.30.5-1mamba
- automatic version update by autodist

* Sun Jan 17 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.30.4-1mamba
- update to 2.30.4

* Sat Nov 14 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.30.2-1mamba
- update to 2.30.2

* Sat Sep 26 2020 Automatic Build System <autodist@mambasoft.it> 2.30.1-1mamba
- automatic version update by autodist

* Thu Jul 30 2020 Automatic Build System <autodist@mambasoft.it> 2.28.4-1mamba
- automatic version update by autodist

* Fri Jul 10 2020 Automatic Build System <autodist@mambasoft.it> 2.28.3-1mamba
- automatic version update by autodist

* Mon May 04 2020 Automatic Build System <autodist@mambasoft.it> 2.28.2-1mamba
- automatic version update by autodist

* Fri Mar 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.28.0-2mamba
- x86 build fixed, restored gtk-doc, build MiniBrowser

* Fri Mar 13 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.28.0-1mamba
- update to 2.28.0

* Fri Dec 28 2018 Automatic Build System <autodist@mambasoft.it> 2.22.5-1mamba
- automatic version update by autodist

* Fri Sep 28 2018 Automatic Build System <autodist@mambasoft.it> 2.22.2-1mamba
- automatic version update by autodist

* Thu Sep 06 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.22.0-1mamba
- update to 2.22.0

* Mon Feb 12 2018 Automatic Build System <autodist@mambasoft.it> 2.18.6-1mamba
- automatic version update by autodist

* Mon Aug 14 2017 Automatic Build System <autodist@mambasoft.it> 2.16.6-1mamba
- automatic version update by autodist

* Sun Feb 05 2017 Automatic Build System <autodist@mambasoft.it> 2.14.3-1mamba
- automatic version update by autodist

* Sun Oct 16 2016 Automatic Build System <autodist@mambasoft.it> 2.14.1-1mamba
- automatic version update by autodist

* Fri Sep 09 2016 Automatic Build System <autodist@mambasoft.it> 2.12.5-1mamba
- automatic version update by autodist

* Thu Sep 01 2016 Automatic Build System <autodist@mambasoft.it> 2.12.4-1mamba
- automatic version update by autodist

* Sun Aug 21 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.3-1mamba
- update to 2.12.3

* Thu Mar 24 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.0-1mamba
- update to 2.12.0

* Wed Apr 01 2015 Automatic Build System <autodist@mambasoft.it> 2.8.0-1mamba
- automatic update by autodist

* Wed Dec 31 2014 Automatic Build System <autodist@mambasoft.it> 2.7.3-1mamba
- automatic update by autodist

* Sat Nov 29 2014 Automatic Build System <autodist@mambasoft.it> 2.7.2-1mamba
- automatic update by autodist

* Tue Jul 22 2014 Automatic Build System <autodist@mambasoft.it> 2.4.4-1mamba
- automatic update by autodist

* Wed Jun 18 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.3-1mamba
- update to 2.4.3

* Thu Nov 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.2-2mamba
- rebuilt because previous release was packaged with a buggy rpm release

* Wed Nov 13 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.2-1mamba
- update to 2.2.2

* Sat Aug 31 2013 Automatic Build System <autodist@mambasoft.it> 2.1.90.1-1mamba
- automatic update by autodist

* Fri Aug 23 2013 Automatic Build System <autodist@mambasoft.it> 2.1.4-1mamba
- automatic update by autodist

* Sun Jul 21 2013 Automatic Build System <autodist@mambasoft.it> 2.1.3-1mamba
- automatic update by autodist

* Mon Jun 17 2013 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- update to 2.0.3

* Mon Jun 17 2013 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Sun Apr 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-2mamba
- rebuilt with devhelp 3.8.0

* Tue Apr 02 2013 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Fri Mar 22 2013 Automatic Build System <autodist@mambasoft.it> 1.11.92-1mamba
- automatic version update by autodist

* Wed Mar 13 2013 Automatic Build System <autodist@mambasoft.it> 1.11.91-1mamba
- automatic version update by autodist

* Sat Mar 02 2013 Automatic Build System <autodist@mambasoft.it> 1.11.90-1mamba
- automatic version update by autodist

* Thu Oct 04 2012 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- update to 1.10.0

* Wed Aug 15 2012 Automatic Build System <autodist@mambasoft.it> 1.8.2-1mamba
- automatic version update by autodist

* Wed Jun 06 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.1-2mamba
- build for gtk3; rename to libwebkit-gtk3 (libwebkit-gtk is the gtk 2.0 version)

* Sun May 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.1-1mamba
- update to 1.8.1

* Fri Feb 25 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.10-2mamba
- rebuilt in devel
- buildrequire libjpeg-devel instead of libjpeg-turbo-devel

* Wed Jan 26 2011 gil <puntogil@libero.it> 1.3.10-1mamba
- update to 1.3.10

* Mon Nov 29 2010 gil <puntogil@libero.it> 1.3.6-2mamba
- rebuilt devel

* Tue Nov 09 2010 gil <puntogil@libero.it> 1.3.6-1mamba
- update to 1.3.6

* Thu Oct 07 2010 gil <puntogil@libero.it> 1.3.4-1mamba
- update to 1.3.4

* Wed Oct 06 2010 gil <puntogil@libero.it> 1.2.5-1mamba
- update to 1.2.5

* Mon Sep 13 2010 gil <puntogil@libero.it> 1.2.4-1mamba
- update to 1.2.4

* Thu Jul 22 2010 gil <puntogil@libero.it> 1.2.3-1mamba
- update to 1.2.3

* Wed Jun 23 2010 gil <puntogil@libero.it> 1.2.1-1mamba
- update to 1.2.1

* Sat Apr 24 2010 gil <puntogil@libero.it> 1.2.0-2mamba
- edit spec file

* Tue Apr 20 2010 gil <puntogil@libero.it> 1.2.0-1mamba
- update to 1.2.0

* Sat Dec 26 2009 gil <puntogil@libero.it> 1.1.15.4-1mamba
- update to 1.1.15.4

* Thu Jul 02 2009 gil <puntogil@libero.it> 1.1.10-1mamba
- update to 1.1.10

* Thu Jun 11 2009 gil <puntogil@libero.it> 1.1.9-1mamba
- update to 1.1.9

* Fri May 29 2009 gil <puntogil@libero.it> 1.1.8-1mamba
- update to 1.1.8

* Sat May 16 2009 gil <puntogil@libero.it> 1.1.7-1mamba
- update to 1.1.7

* Thu May 07 2009 gil <puntogil@libero.it> 1.1.6-1mamba
- update to 1.1.6

* Sat Apr 18 2009 gil <puntogil@libero.it> 1.1.5-1mamba
- update to 1.1.5

* Sat Mar 28 2009 gil <puntogil@libero.it> 1.1.4-1mamba
- update to 1.1.4

* Mon Nov 17 2008 gil <puntogil@libero.it> 1.0.1-1mamba
- package created by autospec
